org.junit.runners.model

## Class MultipleFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.junit.runners.model.MultipleFailureException

- All Implemented Interfaces:
    Serializable

      public class MultipleFailureException
      extends Exception

  Collects multiple `Throwable`s into one exception.
  Since:
    4.9
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipleFailureException(List<Throwable> errors)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assertEmpty(List<Throwable> errors)` Asserts that a list of throwables is empty.
    `List<Throwable>` | `getFailures()`
    `String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipleFailureException

          public MultipleFailureException(List<Throwable> errors)

  - ### Method Detail

    - #### getFailures

          public List<Throwable> getFailures()

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### assertEmpty

          public static void assertEmpty(List<Throwable> errors)
                                  throws Throwable

      Asserts that a list of throwables is empty. If it isn't empty, will throw `MultipleFailureException` (if there are multiple throwables in the list) or the first element in the list (if there is only one element).
      Parameters:
        `errors` - list to check
      Throws:
        `Throwable` - if the list is not empty